
package com.tmerclub.cloud.common.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单项-国际化VO
 *
 * @author YXF
 * @date 2021-05-17 10:26:54
 */
public class OrderItemLangVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单项ID")
    private Long orderItemId;

    @Schema(description = "语言 1.中文 2.英文")
    private Integer lang;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "供应商商品名称")
    private String supplierSpuName;

    @Schema(description = "供应商sku名称")
    private String supplierSkuName;


    public String getSupplierSpuName() {
        return supplierSpuName;
    }

    public void setSupplierSpuName(String supplierSpuName) {
        this.supplierSpuName = supplierSpuName;
    }

    public String getSupplierSkuName() {
        return supplierSkuName;
    }

    public void setSupplierSkuName(String supplierSkuName) {
        this.supplierSkuName = supplierSkuName;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Integer getLang() {
        return lang;
    }

    public void setLang(Integer lang) {
        this.lang = lang;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    @Override
    public String toString() {
        return "OrderItemLangVO{" +
                "orderItemId=" + orderItemId +
                ", lang=" + lang +
                ", spuName='" + spuName + '\'' +
                ", skuName='" + skuName + '\'' +
                ", supplierSpuName='" + supplierSpuName + '\'' +
                ", supplierSkuName='" + supplierSkuName + '\'' +
                '}';
    }
}
